petsc-3.13.6 2020-09-29
Report Typos and Errors

# DMCreateDS

Create the discrete systems for the DM based upon the fields added to the DM

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMCreateDS(DM dm)

Collective on dm

### Input Parameter

dm -The DM

Note: If the label has a DS defined, it will be replaced. Otherwise, it will be added to the DM.

### See Also

DMSetField, DMAddField(), DMGetDS(), DMGetCellDS(), DMGetRegionDS(), DMSetRegionDS()

### Level

intermediate

### Location

src/dm/interface/dm.c

### Examples

src/dm/impls/plex/tutorials/ex8.c.html
src/dm/field/tutorials/ex1.c.html
src/snes/tutorials/ex12.c.html
src/snes/tutorials/ex56.c.html
src/snes/tutorials/ex62.c.html
src/snes/tutorials/ex77.c.html
src/ts/tutorials/ex11.c.html
src/ts/tutorials/ex48.c.html
src/tao/tutorials/ex1.c.html
src/tao/tutorials/ex2.c.html
src/tao/tutorials/ex3.c.html
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages